Skip to main content
POST
/
v1
/
table
/
{id}
/
backfill_column
Error
A valid request URL is required to generate request examples
{
  "job_id": "<string>",
  "context": {}
}
{
  "type": "/errors/bad-request",
  "title": "Malformed request",
  "status": 400,
  "detail": "",
  "instance": "/v1/namespaces"
}
{
  "type": "/errors/unauthorized-request",
  "title": "No valid authentication credentials for the operation",
  "status": 401,
  "detail": "",
  "instance": "/v1/namespaces"
}
{
  "type": "/errors/forbidden-request",
  "title": "Not authorized to make this request",
  "status": 403,
  "detail": "",
  "instance": "/v1/namespaces"
}
{
  "type": "/errors/not-found-error",
  "title": "Not found Error",
  "status": 404,
  "detail": "",
  "instance": "/v1/namespaces/{ns}"
}
{
  "type": "/errors/service-unavailable",
  "title": "Slow down",
  "status": 503,
  "detail": "",
  "instance": "/v1/namespaces"
}
{
  "type": "/errors/server-error",
  "title": "Internal Server Error",
  "status": 500,
  "detail": "",
  "instance": "/v1/namespaces"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

string identifier of an object in a namespace, following the Lance Namespace spec. When the value is equal to the delimiter, it represents the root namespace. For example, v1/namespace/$/list performs a ListNamespace on the root namespace.

Query Parameters

delimiter
string

An optional delimiter of the string identifier, following the Lance Namespace spec. When not specified, the $ delimiter must be used.

Body

application/json
column
string
required

Lance field path to backfill. Nested fields use dot-separated segments; use backtick-quoted segments for literal dots and double backticks inside quoted segments. Use canonical full paths for display and errors; leaf names alone only identify top-level fields; invalid or unresolved paths should return InvalidInput or TableColumnNotFound.

Minimum string length: 1
identity
object

Identity information of a request.

context
object

Arbitrary context as key-value pairs. How to use the context is custom to the specific implementation.

On a request, it carries caller-provided context to the implementation. On a response, it carries implementation-provided context back to the caller.

REST NAMESPACE ONLY Context entries are mapped to and from HTTP headers using the header. prefix:

  • On a request, any entry whose key starts with header. is sent as an HTTP request header with the prefix stripped. For example, the entry {"header.Authorization": "Bearer abc"} is sent as the request header Authorization: Bearer abc.
  • On a response, every HTTP response header is returned as an entry whose key is the header name prefixed with header.. For example, the response header x-request-id: abc123 is returned as the entry {"header.x-request-id": "abc123"}.
id
string[]

Table identifier path (namespace + table name)

branch
string

Branch to target. When not specified, the main branch is used.

where
string | null

Optional WHERE clause filter

concurrency
integer | null

Optional concurrency override

intra_applier_concurrency
integer | null

Optional intra-applier concurrency override

min_checkpoint_size
integer | null

Optional minimum checkpoint size

max_checkpoint_size
integer | null

Optional maximum checkpoint size

batch_checkpoint_flush_interval_seconds
number | null

Optional batch checkpoint flush interval in seconds

read_version
integer | null

Optional table version to read from

task_size
integer | null

Optional task size

num_frags
integer | null

Optional number of fragments

checkpoint_size
integer | null

Optional checkpoint size

commit_granularity
integer | null

Optional commit granularity

cluster
string | null

Optional cluster name

manifest
string | null

Optional manifest name

Response

Backfill job accepted

job_id
string
required

The job ID for tracking the backfill job

context
object

Arbitrary context as key-value pairs. How to use the context is custom to the specific implementation.

On a request, it carries caller-provided context to the implementation. On a response, it carries implementation-provided context back to the caller.

REST NAMESPACE ONLY Context entries are mapped to and from HTTP headers using the header. prefix:

  • On a request, any entry whose key starts with header. is sent as an HTTP request header with the prefix stripped. For example, the entry {"header.Authorization": "Bearer abc"} is sent as the request header Authorization: Bearer abc.
  • On a response, every HTTP response header is returned as an entry whose key is the header name prefixed with header.. For example, the response header x-request-id: abc123 is returned as the entry {"header.x-request-id": "abc123"}.